# applyAfterInstantiationProcessing method

1. @protected

Future<Object> applyAfterInstantiationProcessing(

1. Object existing,
2. String podName,
3. Class type

)

Applies post-processing to a pod instance after its instantiation.

This method is used to apply post-processing to a pod instance after its instantiation. It is called by create and getObject methods.

@param existing The existing pod instance @param podName The name of the pod being created @param type The pod class @return The processed pod instance

## Implementation

    @protected
    Future<Object> applyAfterInstantiationProcessing(Object existing, String podName, Class type) async {
      Object pod = existing;

      if (hasInstantiationPodPostProcessors()) {
        for (PodInstantiationProcessor processor in getPodProcessorCacheManager().instantiation) {
          final proceed = await processor.processAfterInstantiation(pod, type, podName);
          if (proceed) {
            continue;
          }
        }
      }

      return pod;
    }